# Dependencies
The Finite element tool `firedrake` is required for the provided files. It is
recommended to use the version documented in https://zenodo.org/record/2564747.
See https://firedrakeproject.org/ for installation instructions.

It requires the additional python packages:
* NumPy
* SciPy
* h5py
* os
* csv
* argparse

For the execution the file `fish_tail.mat` (see DOI: 10.5281/zenodo.2558728) as
well as the reduced order models `fish_ext_bt8.mat`, `fish_ext_hybrid_flbt.mat`,
`fish_ext_hybrid_flbt5.mat`, `fish_ext_hybrid_flbt5.mat`, `fish_ext_flbt8.mat`,
`fish_ext_mt.mat` and `fish_ext_moment_matching.mat` (see DOI:
10.5281/zenodo.2564050 for all reduced order models) are required and have to
placed in the `./data` folder (The folder has to be created by the user!).

The mesh file `fish_mesh.e` and the measurement positions `meas_pos.csv` (see
DOI: 10.5281/zenodo.2565793) are also required and have to be placed in the `./data` folder.
